=== debian/changelog ===
minexpert3 (10.0.0-1) unstable; urgency=low

  * New version of the project ported to the new libXpertMass/libXpertMassGui
    libraries.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 01 Jun 2025 21:30:05 +0200

minexpert2 (9.6.0-1) unstable; urgency=low

  * Big new upstream version that new relies on shared libraries
    libxpertmass and libxpertmass-gui instead of having the two
    static libraries made inside the source tree.

    Thus, now depends on libxpertmass-dev (>= 1.0.0).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 22 Jul 2024 15:01:38 +0200

minexpert2 (9.5.0-1) unstable; urgency=low

  * Major bug fix and new features:
    - Fix bug in pappsomspp not reading correctly
      Bruker timsTOF data when restricting the m/z range.
    - Reworked the code about handling the MS run probing
      when loading Bruker timsTOF data files.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 31 May 2024 19:25:09 +0200

minexpert2 (9.4.1-1) unstable; urgency=low

  * Update dependency to new libpappsomspp version.
  * Added maintainer scripts to handle libmass and libmassgui code.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 May 2024 19:42:37 +0200

minexpert2 (9.4.0-1) unstable; urgency=low

  * Major work on network communications between mineXpert2 and massXpert2;
  * Now allow for the opening of Bruker BafAscii files (in full only);
  * Fixed missing proper XY mass data loading feature;
  * Really implement libmass and libmassgui source trees as git submodules;
  * Set proper color to widgets that need their parentship with a given
    sample to be clearly visible;
  * Added feature to capture on simple mouse click of the x or y axis value
    on a trace;
  * Implement a QSettings-based memory for the Savitzky-Golay filter parameters.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 May 2024 13:30:55 +0200

minexpert2 (9.3.2-1) UNRELEASED; urgency=low

  * Implemented provisions for Bruker timsTOF data that might have
    been integrated by flatteing IMS scans, thus having no
    ion mobility data anymore.

  * Implemented multi m/z XIC extractions.

  * Reworked fully the SelectionPolygon code into a new implementation named
    IntegrationScope.

  * Last fixes to the user manual build system.

  * Update dependency to libpappsomspp (version 0.9.24).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 07 Dec 2023 12:16:47 +0100

minexpert2 (9.3.1-1) unstable; urgency=low

  * New upstream version improving the probing of the Bruker timsTOF data
    prior to loading.

  * Documented new feature in the user manual.

  * Improved the user manual build to avoid copying the whole
    directory to the build directory.

  * libpappsomspp-dev (>= 0.9.20)

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 06 Dec 2023 13:02:17 +0100

minexpert2 (9.2.2-1) unstable; urgency=low

  * Fix bug: minexpert2: Fails to build source after successful build. Running
    dpkg-buildpackage; dpkg-buildpackage -S works flawlessly (Closes:
    #1046641). Thanks Lucas Nussbaum for reporting the bug.

  * Update dependency over libpappsomspp*.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 20 Nov 2023 18:12:24 +0100

minexpert2 (9.2.1-1) unstable; urgency=medium

  * Upstream release

    - a serious bug has been fixed (not removing mass spectra from the set to
    be integrated based on the DT range; commit
    df32744d79564f477c7f2358f7681adb5373cb59).

    - improvements to the GUI (added syntax-explanating tooltips to the mass
    spectral data table view filtering line edit widgets)

    - fixed small memory leaks

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 30 Jun 2023 10:51:55 +0200

minexpert2 (9.2.0-1) unstable; urgency=low

  * New upstream release with improvements in the way plots are exported
    as graphics files or as a clipboard object (SVG or RASTER).

  * Update dep lib version libpappsomspp-dev (>= 0.9.12).

  * Removed a bunch of dep pacakges versions.

  * Standards-Version: 4.6.2

  * Remove Conflicts: msxpertsuite-minexpert-data-doc and co.

  * Should fix the build failure (Closes: #1037777).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Jun 2023 16:56:43 +0200

minexpert2 (9.1.0-1) unstable; urgency=low

  * Version 9.0.0 was not published.
  * New upstream release with improvements.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 13 May 2023 19:37:17 +0200

minexpert2 (8.6.3-1) unstable; urgency=low

  * New upstream with a bunch of improvements in the feedback to the user mass
    spectrometry traces-wise (reporting of the mass delta, number of decimals
    increased for super-high-resolution instruments.).

  * Depend on new version of pappsomspp libs.

  * Fix deprecation error with new Qt version (Closes: #1031104). Thanks to
    Santiago Vila <sanvila@debian.org> for reporting it.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 12 Feb 2023 11:14:24 +0100

minexpert2 (8.6.2-2) unstable; urgency=low

  * Add Rules-Requires-Root to see if the dh_auto_test does not fail...

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Dec 2022 10:57:51 +0100

minexpert2 (8.6.2-1) unstable; urgency=low

  * New upstream version with new libpappsomspp-dev dependency.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 14 Dec 2022 14:04:36 +0100

minexpert2 (8.6.1-1) unstable; urgency=low

  * Implemented loading of Bruker timsTOF data files with combination of all
    the mobility scans to a single spectrum for each frame.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Dec 2022 18:42:56 +0100

minexpert2 (8.6.0-1) unstable; urgency=low

  * New upstream version now built against the Qt6 libraries.

  * Standards-Version: 4.6.1 (routine update)

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Nov 2022 00:34:39 +0100

minexpert2 (8.5.3-1) unstable; urgency=low

  * New upstream release trying to fix the issue at
    https://gitlab.com/msxpertsuite/minexpert2/-/issues/6 pertaining
    to the color map data display in some Agilent files (thanks to Kevin

