=== debian/control ===
Source: minexpert3
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.21.22),
# To export from svg to png
 inkscape,
 libgomp1,
 qt6-base-dev,
 qt6-declarative-dev,
 libqt6svg6-dev,
 libqt6core5compat6-dev,
 libxkbcommon-x11-dev,
 cmake,
 daps,
 libjs-jquery,
 libjs-highlight.js,
 texlive-fonts-extra,
 fonts-ebgaramond-extra,
 fonts-urw-base35,
# Only the logically essential one.
 libpappsomspp-gui-dev (>= 0.11.0),
# Only the logically essential one.
 libxpertmassgui-dev (>= 1.3.0),
 libxpertmassgui-dev (>= 1.3.0),
 libisospec++-dev (>=2.2.1),
 libpwizlite-dev,
 libsqlite3-dev,
 libzstd-dev,
 liblzf-dev,
 zlib1g-dev,
 libquazip1-qt6-dev,
 libqcustomplot-dev (>= 2.1.0),
 libodsstream-dev (>= 0.9.14),
 libboost1.88-dev,
 libboost-thread1.88-dev,
 libboost-system1.88-dev,
 libboost-filesystem1.88-dev,
 libboost-iostreams1.88-dev,
 libboost-chrono1.88-dev,
 libboost-random1.88-dev,
 libboost-container1.88-dev,
 docbook-xml,
 docbook-to-man
Standards-Version: 4.7.2
Homepage: http://www.msxpertsuite.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/minexpert3
Vcs-Git: https://salsa.debian.org/debichem-team/minexpert3.git
Rules-Requires-Root: no

Package: minexpert2
Depends: minexpert3,
         ${misc:Depends},
Architecture: all
Section: oldlibs
Description: transitional package for minexpert2 -> minexpert3
 This is a transitional package. It can safely be removed.
 Runtime package.

Package: minexpert2-doc
Depends: minexpert3-doc,
         ${misc:Depends},
Architecture: all
Section: oldlibs
Description: transitional package for minexpert2-doc -> minexpert3-doc
 This is a transitional package. It can safely be removed.
 Documentation package.

Package: minexpert3
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: minexpert3-doc (>= ${source:Upstream-Version})
Replaces: minexpert, minexpert2
Breaks: minexpert, minexpert
Description: MS^n mass spectrometric data visualization and mining (runtime)
 MineXpert3 allows the user to perform the following tasks:
  - Open mass spectrometry data files (mzML, mzXML, asc, xy, ...);
  - Display in a table view the full data set, for easy filtering;
  - Calculate and display the TIC chromatogram;
  - Calculate and display a mz=f(rt) color map;
  - For mobility data, calculate and display a mz=f(dt) color map;
  - Integrate the mass spectrometric data from any kind of data
    representation (mass | drift spectra, TIC | XIC chromatogram,
    2D color maps) to any other kind of data representation;
  - For any mass data feature (mass peak, TIC | XIC peak, color map)
    integrate to a XIC single intensity value;
  - Powerful isotopic cluster calculation starting from a
    chemical formula, optionally with user-defined isotopic abundance ratios;
  - Gaussian fit over any isotopic cluster to estimate the
    average mass of a given ion;
  - Mouse-driven deconvolution of m/z data (charge envelope-based
    or isotopic cluster-based);
  - Export the data to text files;
  - Export the graphical representation of mass spectrometric
    data to graphics files in a number of formats (jpg, png, pdf).
 .
 This package ships the MineXpert3 program.


Package: minexpert3-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-highlight.js,
         ${misc:Depends}
Replaces: minexpert2-doc
Breaks: minexpert2-doc
Description: MS^n mass spectrometric data visualization and mining (doc)
 MineXpert3 allows the user to perform the following tasks:
  - Open mass spectrometry data files (mzML, mzXML, asc, xy, ...);
  - Display in a table view the full data set, for easy filtering;
  - Calculate and display the TIC chromatogram;
  - Calculate and display a mz=f(rt) color map;
  - For mobility data, calculate and display a mz=f(dt) color map;
  - Integrate the mass spectrometric data from any kind of data
    representation (mass | drift spectra, TIC | XIC chromatogram,
    2D color maps) to any other kind of data representation;
  - For any mass data feature (mass peak, TIC | XIC peak, color map)
    integrate to a XIC single intensity value;
  - Powerful isotopic cluster calculation starting from a
    chemical formula, optionally with user-defined isotopic abundance ratios;
  - Gaussian fit over any isotopic cluster to estimate the
    average mass of a given ion;
  - Mouse-driven deconvolution of m/z data (charge envelope-based
    or isotopic cluster-based);
  - Export the data to text files;
  - Export the graphical representation of mass spectrometric
    data to graphics files in a number of formats (jpg, png, pdf).
 .
 This package ships the user manual in both PDF and HTML formats.
